Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.build.logging
[Java] Class GrailsEclipseConsole

    java.lang.Object
      grails.build.logging.GrailsConsole
          grails.build.logging.GrailsEclipseConsole

    public class GrailsEclipseConsole
    extends GrailsConsole

This class is meant to keep changes made in support of Eclipse separate from the standard GrailsConsole implementation.

It is activated by setting system property "grails.console.class" to the fully qualified name of this class.

Having the changes in a class triggered by system property also leaves open the option to have Eclipse provide a different version of the class at runtime, to allow for further customisation to support not yet anticipated needs.

Authors:
  Kris De Volder

Since:
  2.0.0.M2

Field Summary

Fields inherited from class GrailsConsole
CATEGORY_SEPARATOR, ENABLE_INTERACTIVE, ENABLE_TERMINAL, ERROR, HISTORYFILE, LINE_SEPARATOR, PROMPT, SECURE_MASK_CHAR, SPACE, STACKTRACE_FILTERED_MESSAGE, STACKTRACE_MESSAGE, WARNING

Constructor Summary
`GrailsEclipseConsole()` Create a GrailsConsole that has some customizations to work better with STS.

Method Summary
`protected java.io.OutputStream` | `ansiWrap(java.io.OutputStream out)`
`protected jline.console.ConsoleReader` | `createConsoleReader()`
`protected jline.Terminal` | `createTerminal()`

Methods inherited from class GrailsConsole
addStatus, ansiWrap, append, createConsoleReader, createInstance, createTerminal, echoStatus, error, error, error, error, flush, getCategory, getErr, getInput, getInstance, getLastMessage, getOut, getReader, getTerminal, indicateProgress, indicateProgress, indicateProgress, indicateProgressPercentage, info, isAnsiEnabled, isStacktrace, isVerbose, isWindows, log, prepareHistory, secureUserInput, setAnsiEnabled, setErr, setInstance, setLastMessage, setOut, setStacktrace, setVerbose, showPrompt, updateStatus, userInput, userInput, userInput, verbose, warn, warning

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsEclipseConsole

    public GrailsEclipseConsole()

  Create a GrailsConsole that has some customizations to work better with STS. Note that this console implicitly captures and redirects System.out, System.err and System.in in the super class. So extreme care must be taken to ensure these streams are setup correctly before creating an instance.

Method Detail

### ansiWrap

    @java.lang.Overrideprotected OutputStream ansiWrap(OutputStream out) {
    protected java.io.OutputStream ansiWrap(java.io.OutputStream out)

### createConsoleReader

    @java.lang.Override
    protected jline.console.ConsoleReader createConsoleReader()

### createTerminal

    @java.lang.Override}
    }
    protected jline.Terminal createTerminal()

Groovy Documentation